"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
require("./bootstrap/balm-env");
var _path = _interopRequireDefault(require("path"));
var _yargs = require("yargs");
var _fs = _interopRequireDefault(require("fs"));
var _gulp = _interopRequireDefault(require("gulp"));
var _config = require("./config");
/* eslint-disable @typescript-eslint/no-var-requires */
// Load `balm.env.js`

var balmCwd = process.env.BALM_CWD || process.cwd();
var balmConfigFile = _path["default"].join(balmCwd, _yargs.argv.config || 'balm.config.js');
function run() {
  _gulp["default"].parallel('balm:default')();
}
if (balmConfigFile && _fs["default"].existsSync(balmConfigFile)) {
  var balmConfig = require(balmConfigFile); // Load `balm.config.js`
  var balm = require('./bootstrap/balm')["default"]; // Get `balm-core`

  if (typeof balmConfig === 'function') {
    var _balmConfig = balmConfig(balm),
      config = _balmConfig.config,
      beforeTask = _balmConfig.beforeTask,
      afterTask = _balmConfig.afterTask,
      api = _balmConfig.api;
    if (config) {
      balm.config = config;
      if (beforeTask) {
        balm.beforeTask = beforeTask;
      }
      if (afterTask) {
        balm.afterTask = afterTask;
      }
      api ? balm.go(api) : balm.go();
      run();
    } else {
      console.warn(_config.title, _config.message.config);
    }
  } else {
    balm.config = balmConfig || {};
    balm.go();
    run();
  }
} else {
  console.error(_config.title, _config.message.notFound);
  process.exit(1);
}